(TeX-add-style-hook
 "elsarticle-template"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("article" "twocolumn")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("babel" "english")))
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "amssymb"
    "algorithmic"
    "array"
    "url"
    "geometry"
    "setspace"
    "graphicx"
    "epstopdf"
    "nameref"
    "babel"
    "listings"
    "color"
    "hyperref"
    "mathptmx")
   (LaTeX-add-labels
    "sec:introduction"
    "sec:background"
    "sec:background-wifidirect"
    "fig:group"
    "sec:background-zeroconf"
    "sec:related"
    "sec:architecture"
    "fig:flow"
    "fig:cred"
    "sec:implementation"
    "sec:implementation-WifiP2pManager"
    "sec:implementation-NsdManager"
    "sec:implementation-tls"
    "sec:conclusion")
   (LaTeX-add-bibliographies
    "references"
    "rfc")))

